% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/run_mcmc.R
\name{run_mcmc_p}
\alias{run_mcmc_p}
\title{Run MCMC for multiple scenarios with provided data with parallel processing}
\usage{
run_mcmc_p(
  dt,
  priorObj,
  n.chains,
  n.adapt,
  n.burn,
  n.iter,
  seed,
  path,
  n.cores = 2
)
}
\arguments{
\item{dt}{a list of \code{matrix} containing simulated time-to-events information}

\item{priorObj}{an object of class \code{.priorClass} generated in \code{\link{set_prior}}}

\item{n.chains}{number of parallel chains for the model}

\item{n.adapt}{number of iterations for adaptation}

\item{n.burn}{number of iterations discarded as burn-in}

\item{n.iter}{number of iterations to monitor}

\item{seed}{the seed of random number generator. Default is the first element of .Random.seed}

\item{path}{file name for saving the output including folder path}

\item{n.cores}{number of processes to parallelize over (default = 2)}
}
\value{
a \code{data.frame} containing summary statistics of the posterior distribution for each simulation
}
\description{
Run MCMC for multiple scenarios with provided data with parallel processing
}
\examples{
# similar to run_mcmc


}
\keyword{simulator}
